# Get OAuth Custom App Integration

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/oauth2/custom-app-integrations/{integration_id}`

Gets the Custom OAuth App Integration for the given integration id.

API scopes: authentication

## Path parameters

- `account_id` (string, required)
  The account ID.
- `integration_id` (string, required)
  The OAuth app integration ID.

## Returns

Returns the CustomOAuthAppIntegration object.

## Response

```json
{
  "integration_id": "string",
  "client_id": "string",
  "redirect_urls": [
    "string"
  ],
  "name": "string",
  "confidential": false,
  "token_access_policy": {
    "access_token_ttl_in_minutes": 5,
    "refresh_token_ttl_in_minutes": 5,
    "enable_single_use_refresh_tokens": true,
    "absolute_session_lifetime_in_minutes": 0
  },
  "scopes": [
    "string"
  ],
  "created_by": 0,
  "create_time": "string",
  "creator_username": "string",
  "user_authorized_scopes": [
    "string"
  ]
}
```

